function result = conv2D(m1, m2, type)

% Purpose:    The conv2D function converts the arguments m1 and m2 to double
%			  before applying conv2. (Necessary for MATLAB 7.0)
%
% Usage:      result = conv2D(m1, m2, type)
%
% Inputs:     m1 = matrix
%			  m2 = matrix
%			  type = type of convolution (see conv2 for options)
% 
% Ouputs:     result = result of 2 dimensional convolution
% 
% Requires:   (nothing)
% 
% Copyright (c) 2004 Battelle Memorial Institute
% This file is part of the Automated Microarray Image
% Analysis Toolbox for MATLAB.
% http://www.pnl.gov/statistics/amia

if (nargin == 2)
    result = conv2(double(m1), double(m2));
else
    result = conv2(double(m1), double(m2), type);
end
