function [tmp_range,tmp_min,tmp_max] = dsd_range(tmp_mat);

% Purpose:    The dsd_range function finds the range of a matrix
% 
% Usage:      [tmp_range,tmp_min,tmp_max] = dsd_range(tmp_mat)
% 
% Inputs:     tmp_mat = matrix
%                    
% Outputs:    tmp_range = difference between tmp_min and tmp_max
%			  tmp_min = minimum of tmp_mat
%			  tmp_max = maximum of tmp_mat
% 
% Requires:   (nothing)
% 
% Copyright (c) 2004 Battelle Memorial Institute
% This file is part of the Automated Microarray Image
% Analysis Toolbox for MATLAB.
% http://www.pnl.gov/statistics/amia

tmp_vec = reshape(double(tmp_mat),prod(size(tmp_mat)),1);

tmp_min = min(tmp_vec);
tmp_max = max(tmp_vec);
tmp_range = tmp_max - tmp_min;

return;
