function padded_vec = pad(vec, first, last)

% Purpose:    The pad function pads a vector with the same value
%             as the end of the vector
%             
% Usage:      padded_vec = pad(vec, first, last)
% 
% Inputs:     vec = the vector to be padded
%             first = # to add to beginning of vector
%             last = # to add to end of vector
% 
% Outputs:    padded_vec = the padded vector
% 
% Requires:   (nothing)
%                     
% Copyright (c) 2004 Battelle Memorial Institute
% This file is part of the Automated Microarray Image
% Analysis Toolbox for MATLAB.
% http://www.pnl.gov/statistics/amia

if (nargin == 2)
    last = first;
end

padded_vec = zeros(length(vec)+first+last, 1);
padded_vec(1:first) = vec(1);
padded_vec((first+1):(first+length(vec))) = vec;
padded_vec((length(padded_vec)-last+1):length(padded_vec)) = vec(length(vec));
if (size(vec,1) ==1 && size(vec,2) > 1)
    padded_vec = padded_vec';
end
