function stripped_vec = strip(vec, front, back)

% Purpose:    The strip function removes elements from
%             the ends of a vector
%             
% Usage:      stripped_vec = strip(vec, front, back)
% 
% Inputs:     vec = the vector
%             front = # to remove from beginning
%             back = # to remove from end
% 
% Outputs:    stripped_vec = the stripped vector
% 
% Requires:   (nothing)
%
% Copyright (c) 2004 Battelle Memorial Institute
% This file is part of the Automated Microarray Image
% Analysis Toolbox for MATLAB.
% http://www.pnl.gov/statistics/amia



if (nargin == 2)
    back = front;
end 

stripped_vec = vec((front+1):(length(vec)-back));
